<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Ночной клуб'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

switch($_GET['action']){

default:
echo '<dl class="mai2n">
<dt></dt>
<b><a href="disco.php?action=godisco"><dt><img src="skr/019.png" />Войти в клуб (100$)
</dt></a>
</b>
<b><a href="disco.php?action=gobar"><dt><img src="skr/019.png" />В бар (50$)</dt></a>
</b>
<b>
<a href="disco.php?action=gowc"><dt><img src="skr/019.png" />В туалет (10$)</dt></a>
</b>
<b>
<a href="disco.php?action=grab"><dt><img src="skr/019.png" />Гоп-стоп</dt></a></b>
</TABLE></div>';
break;


case 'grab':
$r=rand(1,5);
if($r>=3){
$cash=rand(1,250);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$cash' WHERE `id`='".$user['id']."'");
echo 'Результат гоп-стопа вы получили '.$cash.'$!';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="disco.php?action=grab"><dt><img src="skr/019.png" />Еще гопстоп?</dt></a>
</b>
<b><a href="disco.php"><dt><img src="skr/019.png" />в клуб?</dt></a></b>
</TABLE></div>';
}else{$cash=rand(25,150);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$cash' WHERE `id`='".$user['id']."'");
echo 'Результат гоп-стопа ты не на тех нарвался и потерял '.$cash.'$!<br/>';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="disco.php?action=grab"><dt><img src="skr/019.png" />Еще гопстоп?</dt></a>
</b>
<b> <a href="disco.php"><dt><img src="skr/019.png" />в клуб?</dt></a></b>
</TABLE></div>';};
break;


case 'gowc':
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-10,`gorod_life`=`gorod_life`+10 WHERE `id`='".$user['id']."'");
echo '<b><font color="red">Туалет</font></b><br/>';
echo 'С облегченьем друг! Получи в подарок 10 % жизни!';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="disco.php"><dt><img src="skr/019.png" />В клуб!</dt></a></b>
</TABLE></div>';
break;


case 'gobar':
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-50 WHERE `id`='".$user['id']."'");
echo '<dl class="mai2n">
<dt></dt>
<b>
<a href="disco.php?action=buy&amp;i=1"><dt><img src="skr/019.png" />Купить пивка Балтика 9 (15$)</dt></a>
</b>
<b><a href="disco.php?action=buy&amp;i=2"><dt><img src="skr/019.png" />Купить водку (40$)</dt></a>
</b>
<b><a href="disco.php?action=buy&amp;i=3"><dt><img src="skr/019.png" />Купить пачку сигарет LM (75$)</dt></a>
</b>
<b><a href="disco.php"><dt><img src="skr/019.png" />В клуб!</dt></a></b>
</TABLE></div>';
break;

case 'buy':
$i=(int)$_GET['i'];
if($i<0 || $i>3){echo 'Ошибка!';break;};
if($i==1){$tov='Пиво Балтика 9';$price=15;}
elseif($i==2){$tov='Водка';$price=40;}
else{$tov='Пачка LM';$price=75;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','$tov','disco','$price')");
echo 'У тебя '.$tov.'! Идти <dl class="mai2n">
<dt></dt>
<b><a href="disco.php"><dt><img src="skr/019.png" />в клуб</dt></a>
</b>
<b> <a href="disco.php?action=gobar"><dt><img src="skr/019.png" />в бар!</dt></a></b>
</TABLE></div>';
break;


case 'godisco':
echo '
<dl class="mai2n">
<dt></dt>
<b>
<a href="disco.php?action=dance"><dt><img src="skr/019.png" />Танцевать</dt></a>
</b>
<b><a href="disco.php?action=prigdance"><dt><img src="skr/019.png" />Пригласить потенцевать</dt></a>
</b>
<b><a href="disco.php?action=gobar"><dt><img src="skr/019.png" />В бар (50$)</dt></a>
</b>
<b><a href="disco.php?action=gowc"><dt><img src="skr/019.png" />В туалет (10$)</dt></a>
</b>
<b><a href="disco.php"><dt><img src="skr/019.png" />На улицу</dt></a></b>
</TABLE></div><br/>';
break;


case 'dance':
echo '<center>
<div class="bdeg1"><img src="images/dance.jpg"/></div></center>
<dl class="mai2n">
<dt></dt>
<b><a href="disco.php?action=prigdance"><dt><img src="skr/019.png" />Пригласить потенцевать</dt></a>
</b>
<b><a href="disco.php?action=gobar"><dt><img src="skr/019.png" />В бар (50$)</dt></a>
</b>
<b><a href="disco.php?action=gowc"><dt><img src="skr/019.png" />В туалет (10$)</dt></a>
</b>
<b><a href="disco.php"><dt><img src="skr/019.png" />На улицу</dt></a></b>
</TABLE></div><br/>';
break;


case 'prigdance':
echo '<center><div class="bdeg1"><img src="images/tanec.jpg"/></div></center><br/>';
echo 'Поздравляю! Вы нашли себе пару!
<dl class="mai2n">
<dt></dt>
<b><a href="disco.php?action=dance"><dt><img src="skr/019.png" />Танцевать</dt></a>
</b>
<b><a href="disco.php?action=gobar"><dt><img src="skr/019.png" />В бар (50$)</dt></a>
</b>
<b><a href="disco.php?action=gowc"><dt><img src="skr/019.png" />В туалет (10$)</dt></a>
</b>
<b><a href="disco.php"><dt><img src="skr/019.png" />На улицу</dt></a></b>
</TABLE></div><br/>';
break;

};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{
echo '<div class="msg">Игра закрыта администратором!</div>';
};

}else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>

